The Vehicle Plate Decoder API provides access to a library of vehicle's data based on the vehicle's registration/license plate number and state.
This API is deprecated and will be removed in the future. Please use the Plate Decoder V2 API instead.
The Vehicle Plate Decoder API looks up the vehicle through the database for matches and returns the VIN, make, model and year among other attributes. It can be coupled with other APIs to become even more powerful. The state is a two letter abbreviation of one of the 50 states, or DC (District of Columbia), GU (Guam), PR (Puerto Rico) or VI (Virgin Islands).
International support includes the following countries: Australia, Brazil, United Kingdom, Ireland, Italy, Spain, India, Mexico and New Zealand.
This endpoint allows you to retrieve vehicle information based on license plates and registration numbers.
keyYour CarsXE API key.
plateThe vehicle registration number or license plate number.
stateThe two letter state code (US) such as CA or NY, Australian state (see FAQ) or Brazil BR, United Kingdom UK, Ireland IR, Italy IT, Spain ES, India IND, Mexico MX and New Zealand NZ.
countryAustralia AU
Optional for US.
formatThe format of the response. One of json or xml. Defaults to json.
vinThe vehicle identification number.
successWhether the plate decoder data has been retrieved.
imageUrlA stock photo of that general vehicle. (Use Images API for more control)
assemblyWhere the vehicle was assembled.
DescriptionVehicle description of make, model and trim.
RegistrationYearYear of the vehicle's registration.
CarMakeThe vehicle make.
CarModelThe model of the vehicle.
BodyStyleThe specific vehicle body style.
EngineSizeThe vehicle's engine size.
curl -G https://api.carsxe.com/platedecoder \
-d key=CARSXE_API_KEY \
-d plate=7XER187 \
-d state=CA{
"success": true,
"input": {
"plate": "7XER187",
"state": "CA",
"country": "US"
},
"vin": "3KPFK4A78HE103497",
"assembly": "Mexico",
"Description": "Kia Forte LX",
"BodyStyle": "Sedan",
"RegistrationYear": "2017",
"EngineSize": "2.0L I4 MPI",
"CarMake": "Kia",
"CarModel": "Forte"
}